Get an order
Current state of one order: its status, what was bought and for how much. Poll it after creating an order, or subscribe to the webhook instead of polling.
Authorization
apiKey X-API-Key<token>
ifk_<clientId>_<secret>, for example ifk_48aa52d67c0fef6decb05b36_lVlZSWKN43sgb2vfEpFbqtzQ0ePNZya6yZr-RmJ4wxo
In: header
Path Parameters
id*string
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/orders/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "success": true, "data": { "id": "7c9e6679-7425-40de-944b-e07fc1f90ae7", "externalId": "bot-order-1024", "product": "STARS", "quantity": 100, "months": null, "username": "durov", "recipientName": "Pavel Durov", "status": "SUCCEEDED", "price": "1.65", "currency": "USD", "failure": null, "createdAt": "2026-10-06T09:15:22.443Z", "sentAt": "2026-10-06T09:15:31.902Z", "completedAt": "2026-10-06T09:15:48.215Z" }, "meta": { "requestId": "9f1c2b7e-3a4d-4e5f-8a6b-7c8d9e0f1a2b", "timestamp": "2026-10-06T09:15:22.481Z", "processingTimeMs": 38 }}